reagent.net\_builder package
============================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   reagent.net_builder.categorical_dqn
   reagent.net_builder.continuous_actor
   reagent.net_builder.discrete_actor
   reagent.net_builder.discrete_dqn
   reagent.net_builder.parametric_dqn
   reagent.net_builder.quantile_dqn
   reagent.net_builder.slate_ranking
   reagent.net_builder.slate_reward
   reagent.net_builder.synthetic_reward
   reagent.net_builder.value

Submodules
----------

reagent.net\_builder.categorical\_dqn\_net\_builder module
----------------------------------------------------------

.. automodule:: reagent.net_builder.categorical_dqn_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.continuous\_actor\_net\_builder module
-----------------------------------------------------------

.. automodule:: reagent.net_builder.continuous_actor_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.discrete\_actor\_net\_builder module
---------------------------------------------------------

.. automodule:: reagent.net_builder.discrete_actor_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.discrete\_dqn\_net\_builder module
-------------------------------------------------------

.. automodule:: reagent.net_builder.discrete_dqn_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.parametric\_dqn\_net\_builder module
---------------------------------------------------------

.. automodule:: reagent.net_builder.parametric_dqn_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.quantile\_dqn\_net\_builder module
-------------------------------------------------------

.. automodule:: reagent.net_builder.quantile_dqn_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.slate\_ranking\_net\_builder module
--------------------------------------------------------

.. automodule:: reagent.net_builder.slate_ranking_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.slate\_reward\_net\_builder module
-------------------------------------------------------

.. automodule:: reagent.net_builder.slate_reward_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.synthetic\_reward\_net\_builder module
-----------------------------------------------------------

.. automodule:: reagent.net_builder.synthetic_reward_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.unions module
----------------------------------

.. automodule:: reagent.net_builder.unions
   :members:
   :undoc-members:
   :show-inheritance:

reagent.net\_builder.value\_net\_builder module
-----------------------------------------------

.. automodule:: reagent.net_builder.value_net_builder
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: reagent.net_builder
   :members:
   :undoc-members:
   :show-inheritance:
